<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal">

    <FrameLayout
        android:layout_width="54dp"
        android:layout_height="54dp"
        android:layout_marginVertical="8dp"
        android:layout_marginStart="16dp"
        android:gravity="center"
        tools:ignore="UselessParent">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_avatar"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:src="@mipmap/logo"
            android:visibility="gone"
            app:civ_border_color="#33000000"
            app:civ_border_width="1dp"
            tools:ignore="ContentDescription" />

        <TextView
            android:id="@+id/tv_name_letters"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_circle_ff8271"
            android:gravity="center"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold"
            tools:text="V" />

    </FrameLayout>

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginHorizontal="8dp"
        android:layout_weight="1"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tv_name_code"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="#001725"
            android:textSize="16sp"
            android:textStyle="bold"
            tools:text="V0OC3RJK" />

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:textColor="#81888D"
            android:textSize="14sp"
            tools:text="20:27" />
    </LinearLayout>


    <androidx.appcompat.widget.SwitchCompat
        android:id="@+id/tv_switch"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginEnd="24dp"
        android:textColor="#646469"
        android:textSize="15sp"
        android:thumb="@drawable/bg_switch_thumb_ffffff"
        app:thumbTint="@color/white"
        app:track="@drawable/bg_switch_track"
        app:trackTint="@color/switch_track_selector"
        tools:checked="true"
        tools:ignore="HardcodedText" />

    <ImageView
        android:id="@+id/iv_more"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginEnd="16dp"
        android:src="@mipmap/gengduo_viwer"
        tools:ignore="ContentDescription" />

</LinearLayout>